
#
# Shiny App demonstrating the level calculation of rPref
# ******************************************************
#
# User Interface File
#
# Press "Run App" in RStudio to start the App
#

library(shiny)

shinyUI(fluidPage(

  titlePanel("rPref Leved-Based Preference Selection Demo"),

  # controls
  sidebarLayout(
    sidebarPanel(
      fluidRow(sliderInput("level", "Select level value", min = 1, max = 5, value = 1)),
      checkboxInput("display_frontiers", "display Pareto front lines of previous levels", value = TRUE)
    ),

    # plot output
    mainPanel(
      h4("Skyline Plot"),
      plotOutput("skylinePlot")
    )
  )
))
